name: ScrapBukkit
main: com.dinnerbone.bukkit.scrap.ScrapBukkit
version: 1.0.0
website: http://www.bukkit.org
author: The Bukkit Team
description: >
             Miscellaneous administrative commands for Bukkit.
             This plugin is one of the default plugins shipped with Bukkit.
# commands: snipped

permissions:
  scrapbukkit.*:
    description: Gives all permissions for Scrapbukkit
    default: op
    children:
      scrapbukkit.remove:
        description: Allows the player to remove items from anyones inventory
        children:
          scrapbukkit.remove.self:
            description: Allows the player to remove items from their own inventory
          scrapbukkit.remove.other:
            description: Allows the player to remove items from other peoples inventory

      scrapbukkit.time:
        description: Allows the player to view and change the time
        children:
          scrapbukkit.time.view:
            description: Allows the player to view the time
            default: true
          scrapbukkit.time.change:
            description: Allows the player to change the time

      scrapbukkit.tp:
        description: Allows the player to teleport anyone to anyone else
        children:
          scrapbukkit.tp.here:
            description: Allows the player to teleport other players to themselves
          scrapbukkit.tp.self:
            description: Allows the player to teleport themselves to another player
          scrapbukkit.tp.other:
            description: Allows the player to teleport anyone to another player

      scrapbukkit.give:
        description: Allows the player to give items
        children:
          scrapbukkit.give.self:
            description: Allows the player to give themselves items
          scrapbukkit.give.other:
            description: Allows the player to give other players items

      scrapbukkit.clear:
        description: Allows the player to clear inventories
        children:
          scrapbukkit.clear.self:
            description: Allows the player to clear their own inventory
          scrapbukkit.clear.other:
            description: Allows the player to clear other players inventory

      scrapbukkit.some.standard.perm: {}
      scrapbukkit.some.other.perm: true
      scrapbukkit.some.bad.perm: false
  # This is defined here individually, as simply giving it an association will not cause it to exist at runtime
  scrapbukkit.some.bad.perm: {}
  scrapbukkit.some.other.perm: {}
